git: 3532b55c5b7e - main - net/haproxy22: exctact haproxy version 2.2 into separate port.

Dmitry Sivachenko demon at FreeBSD.org
Wed Jun 16 21:37:58 UTC 2021


The branch main has been updated by demon:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3532b55c5b7e50033d52407f5a2d6e32920c8912

commit 3532b55c5b7e50033d52407f5a2d6e32920c8912
Author:     Dmitry Sivachenko <demon at FreeBSD.org>
AuthorDate: 2021-06-16 21:30:17 +0000
Commit:     Dmitry Sivachenko <demon at FreeBSD.org>
CommitDate: 2021-06-16 21:30:17 +0000

    net/haproxy22: exctact haproxy version 2.2 into separate port.
---
 net/Makefile                   |   1 +
 net/haproxy22/Makefile         |  63 ++++++++++++++++++++
 net/haproxy22/distinfo         |   3 +
 net/haproxy22/files/haproxy.in | 130 +++++++++++++++++++++++++++++++++++++++++
 net/haproxy22/pkg-descr        |   6 ++
 net/haproxy22/pkg-plist        |  98 +++++++++++++++++++++++++++++++
 6 files changed, 301 insertions(+)

diff --git a/net/Makefile b/net/Makefile
index f07bfd85addb..b2bc2dfe9168 100644
--- a/net/Makefile
+++ b/net/Makefile
@@ -236,6 +236,7 @@
     SUBDIR += haproxy19
     SUBDIR += haproxy20
     SUBDIR += haproxy21
+    SUBDIR += haproxy22
     SUBDIR += haproxy23
     SUBDIR += hblock
     SUBDIR += hexinject
diff --git a/net/haproxy22/Makefile b/net/haproxy22/Makefile
new file mode 100644
index 000000000000..307ac8bd3818
--- /dev/null
+++ b/net/haproxy22/Makefile
@@ -0,0 +1,63 @@
+# Created by: Hugo Saro <hugo at barafranca.com>
+
+PORTNAME=	haproxy
+DISTVERSION=	2.2.14
+CATEGORIES=	net www
+PKGNAMESUFFIX=	22
+MASTER_SITES=	http://www.haproxy.org/download/2.2/src/
+
+MAINTAINER=	demon at FreeBSD.org
+COMMENT=	Reliable, high performance TCP/HTTP load balancer
+
+LICENSE=	GPLv2 LGPL21
+LICENSE_COMB=	multi
+
+CONFLICTS_INSTALL=	haproxy-devel-[0-9]* haproxy17-[0-9]* haproxy18-[0-9]* haproxy19-[0-9]* haproxy20-[0-9]* haproxy21-[0-9]*
+
+USES=		compiler:c++11-lang cpe gmake
+USE_RC_SUBR=	haproxy
+
+MAKE_ARGS=	TARGET=freebsd DEFINE=-DFREEBSD_PORTS USE_GETADDRINFO=1 \
+		USE_ZLIB=1 USE_CPU_AFFINITY=1 USE_ACCEPT4=1 \
+		CC="${CC}" DEBUG_CFLAGS="" CPU_CFLAGS="${CFLAGS}"
+
+OPTIONS_DEFINE=		DOCS EXAMPLES LUA OPENSSL DEVICEATLAS PROMEX
+OPTIONS_RADIO=		PCRE
+OPTIONS_RADIO_PCRE=	DPCRE SPCRE
+DPCRE_DESC=		Link dynamically
+SPCRE_DESC=		Link statically
+DEVICEATLAS_DESC=	DeviceAtlas Device Detection support
+PROMEX_DESC=		Enable Prometheus exporter
+OPTIONS_DEFAULT=	SPCRE OPENSSL
+
+DPCRE_LIB_DEPENDS=	libpcre.so:devel/pcre
+DPCRE_MAKE_ARGS=	USE_PCRE=1 USE_PCRE_JIT=1
+SPCRE_LIB_DEPENDS=	libpcre.so:devel/pcre
+SPCRE_MAKE_ARGS=	USE_PCRE=1 USE_STATIC_PCRE=1 USE_PCRE_JIT=1
+DEVICEATLAS_LIB_DEPENDS=	libda.so:net/deviceatlas-enterprise-c
+DEVICEATLAS_MAKE_ARGS=		USE_DEVICEATLAS=1 DEVICEATLAS_LIB=${LOCALBASE}/lib DEVICEATLAS_INC=${LOCALBASE}/include
+PROMEX_MAKE_ARGS=	EXTRA_OBJS="contrib/prometheus-exporter/service-prometheus.o"
+OPENSSL_USES=		ssl
+OPENSSL_MAKE_ARGS=	USE_OPENSSL=1 SSL_LIB=${OPENSSLLIB} SSL_INC=${OPENSSLINC}
+LUA_USES=		lua:53
+LUA_MAKE_ARGS=		USE_LUA=1 LUA_INC=${LUA_INCDIR} LUA_LIB=${LUA_LIBDIR} LUA_LIB_NAME=lua-${LUA_VER}
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "amd64" || ${ARCH} == "i386"
+MAKE_ARGS+=	USE_REGPARM=1
+.endif
+
+post-build:
+	cd ${WRKSRC}/contrib/halog && ${MAKE_CMD} ${MAKE_ENV}
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/haproxy ${STAGEDIR}${PREFIX}/sbin/
+	${INSTALL_PROGRAM} ${WRKSRC}/contrib/halog/halog ${STAGEDIR}${PREFIX}/sbin/
+	${INSTALL_MAN} ${WRKSRC}/doc/haproxy.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/doc/ && ${COPYTREE_SHARE} \* ${STAGEDIR}${DOCSDIR})
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} \* ${STAGEDIR}${EXAMPLESDIR})
+
+.include <bsd.port.post.mk>
diff --git a/net/haproxy22/distinfo b/net/haproxy22/distinfo
new file mode 100644
index 000000000000..df73a0e63689
--- /dev/null
+++ b/net/haproxy22/distinfo
@@ -0,0 +1,3 @@
+TIMESTAMP = 1619725872
+SHA256 (haproxy-2.2.14.tar.gz) = 6a9b702f04b07786f3e5878de8172a727acfdfdbc1cefe1c7a438df372f2fb61
+SIZE (haproxy-2.2.14.tar.gz) = 2923727
diff --git a/net/haproxy22/files/haproxy.in b/net/haproxy22/files/haproxy.in
new file mode 100644
index 000000000000..e9eb2147c412
--- /dev/null
+++ b/net/haproxy22/files/haproxy.in
@@ -0,0 +1,130 @@
+#!/bin/sh
+
+# PROVIDE: haproxy
+# REQUIRE: DAEMON LOGIN
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf to enable haproxy:
+#
+# haproxy_enable (bool):	default: "NO"
+#				Set to "YES" to enable haproxy
+# haproxy_pidfile (str):	default: /var/run/haproxy.pid
+#				Set to the full path of the pid file
+# haproxy_config (str):		default: %%PREFIX%%/etc/haproxy.conf
+#				Set to the full path of the config file
+# haproxy_flags (str):		default: Autogenerated using pidfile and config options
+#				Set to override with your own options
+# haproxy_profiles (str):	default: empty
+# Set to space-separated list of profiles: for each profile separate haproxy
+# process will be spawned, with haproxy-${profile}.conf config file.
+# You can override default pidfile and config file for each profile with
+# haproxy_${profile}_config and haproxy_${profile}_pidfile.
+
+. /etc/rc.subr
+
+name="haproxy"
+rcvar=haproxy_enable
+command="%%PREFIX%%/sbin/haproxy"
+extra_commands="reload configtest hardstop hardreload softreload"
+reload_cmd="haproxy_reload"
+hardreload_cmd="haproxy_reload"
+hardreload_precmd="def_hardreload_option"
+softreload_cmd="haproxy_reload"
+softreload_precmd="def_softreload_option"
+stop_cmd="haproxy_stop"
+hardstop_cmd="haproxy_stop"
+hardstop_precmd="def_hardstop_signal"
+
+: ${haproxy_enable:="NO"}
+: ${haproxy_config:="%%PREFIX%%/etc/${name}.conf"}
+: ${haproxy_socket:="/var/run/${name}/socket"}
+pidfile=${haproxy_pidfile:-"/var/run/haproxy.pid"}
+
+def_hardreload_option()
+{
+    reload_opt="-st"
+}
+
+def_softreload_option()
+{
+    reload_opt="-x ${haproxy_socket} -sf"
+}
+
+def_hardstop_signal()
+{
+    sig_stop="TERM"
+}
+
+load_rc_config $name
+
+is_valid_profile() {
+    local profile
+    for profile in $haproxy_profiles; do
+        if [ "$profile" = "$1" ]; then
+            return 0
+        fi
+    done
+    return 1
+}
+
+if [ -n "$2" ]; then
+    profile=$2
+    if ! is_valid_profile $profile; then
+        echo "$0: no such profile ($profile) defined in ${name}_profiles."
+        exit 1
+    fi
+    eval haproxy_config="\${haproxy_${profile}_config:-%%PREFIX%%/etc/haproxy-${profile}.conf}"
+    eval pidfile="\${haproxy_${profile}_pidfile:-/var/run/haproxy-${profile}.pid}"
+else
+    if [ "x${haproxy_profiles}" != "x" -a "x$1" != "x" ]; then
+        for profile in ${haproxy_profiles}; do
+            echo "===> ${name} profile: ${profile}"
+            %%PREFIX%%/etc/rc.d/haproxy $1 ${profile}
+            retcode="$?"
+            if [ ${retcode} -ne 0 ]; then
+                failed="${profile} (${retcode}) ${failed:-}"
+            else
+                success="${profile} ${success:-}"
+            fi
+        done
+        exit 0
+    fi
+fi
+
+: ${haproxy_flags:="-q -f ${haproxy_config} -p ${pidfile}"}
+configtest_cmd="$command -c -f $haproxy_config"
+start_precmd="$command -q -c -f $haproxy_config"
+required_files=$haproxy_config
+sig_stop=SIGUSR1
+reload_opt="-sf"
+
+haproxy_reload()
+{
+	${command} -q -c -f ${haproxy_config}
+	if [ $? -ne 0 ]; then
+	    err 1 "Error found in ${haproxy_config} - not reloading current process!"
+	fi
+	rc_pid=$(check_pidfile ${pidfile} ${command})
+	if [ $rc_pid ]; then
+		${command} ${haproxy_flags} $reload_opt $(cat ${pidfile})
+	else
+		_run_rc_notrunning
+		return 1
+	fi
+}
+
+haproxy_stop()
+{
+	rc_pid=$(check_pidfile ${pidfile} ${command})
+	if [ $rc_pid ]; then
+		rc_pid=$(cat ${pidfile})
+		kill -$sig_stop $rc_pid
+		wait_for_pids $rc_pid
+	else
+		_run_rc_notrunning
+		return 1
+	fi
+}
+
+run_rc_command "$1"
diff --git a/net/haproxy22/pkg-descr b/net/haproxy22/pkg-descr
new file mode 100644
index 000000000000..678317bd6baf
--- /dev/null
+++ b/net/haproxy22/pkg-descr
@@ -0,0 +1,6 @@
+HAProxy is a free, very fast and reliable solution offering high
+availability, load balancing, and proxying for TCP and HTTP-based
+applications. It is particularly suited for web sites crawling under
+very high loads while needing persistence or Layer7 processing.
+
+WWW: http://www.haproxy.org
diff --git a/net/haproxy22/pkg-plist b/net/haproxy22/pkg-plist
new file mode 100644
index 000000000000..09381167265d
--- /dev/null
+++ b/net/haproxy22/pkg-plist
@@ -0,0 +1,98 @@
+man/man1/haproxy.1.gz
+sbin/halog
+sbin/haproxy
+%%PORTDOCS%%%%DOCSDIR%%/51Degrees-device-detection.txt
+%%PORTDOCS%%%%DOCSDIR%%/DeviceAtlas-device-detection.txt
+%%PORTDOCS%%%%DOCSDIR%%/SOCKS4.protocol.txt
+%%PORTDOCS%%%%DOCSDIR%%/SPOE.txt
+%%PORTDOCS%%%%DOCSDIR%%/WURFL-device-detection.txt
+%%PORTDOCS%%%%DOCSDIR%%/acl.fig
+%%PORTDOCS%%%%DOCSDIR%%/architecture.txt
+%%PORTDOCS%%%%DOCSDIR%%/close-options.txt
+%%PORTDOCS%%%%DOCSDIR%%/coding-style.txt
+%%PORTDOCS%%%%DOCSDIR%%/configuration.txt
+%%PORTDOCS%%%%DOCSDIR%%/cookie-options.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/backends-v0.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/backends.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/be-fe-changes.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/binding-possibilities.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/config-language.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/connection-reuse.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/connection-sharing.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/dynamic-buffers.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/entities-v2.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/how-it-works.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/http2.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/http_load_time.url
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/rate-shaping.txt
+%%PORTDOCS%%%%DOCSDIR%%/design-thoughts/sess_par_sec.txt
+%%PORTDOCS%%%%DOCSDIR%%/gpl.txt
+%%PORTDOCS%%%%DOCSDIR%%/haproxy.1
+%%PORTDOCS%%%%DOCSDIR%%/internals/acl.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/body-parsing.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/buffer-api.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/connect-status.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/connection-header.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/connection-scale.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/entities-v2.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/entities.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/entities.pdf
+%%PORTDOCS%%%%DOCSDIR%%/internals/entities.svg
+%%PORTDOCS%%%%DOCSDIR%%/internals/entities.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/filters.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/hashing.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/header-parser-speed.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/header-tree.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/http-cookies.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/http-docs.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/http-parsing.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/htx-api.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/initcalls.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/list.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/listener-states.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/listener-states.png
+%%PORTDOCS%%%%DOCSDIR%%/internals/lua_socket.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/lua_socket.pdf
+%%PORTDOCS%%%%DOCSDIR%%/internals/naming.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/notes-layers.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/pattern.dia
+%%PORTDOCS%%%%DOCSDIR%%/internals/pattern.pdf
+%%PORTDOCS%%%%DOCSDIR%%/internals/polling-states.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/repartition-be-fe-fi.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/sequence.fig
+%%PORTDOCS%%%%DOCSDIR%%/internals/ssl_cert.dia
+%%PORTDOCS%%%%DOCSDIR%%/internals/stats-v2.txt
+%%PORTDOCS%%%%DOCSDIR%%/internals/stream-sock-states.fig
+%%PORTDOCS%%%%DOCSDIR%%/intro.txt
+%%PORTDOCS%%%%DOCSDIR%%/lgpl.txt
+%%PORTDOCS%%%%DOCSDIR%%/linux-syn-cookies.txt
+%%PORTDOCS%%%%DOCSDIR%%/lua-api/Makefile
+%%PORTDOCS%%%%DOCSDIR%%/lua-api/_static/channel.fig
+%%PORTDOCS%%%%DOCSDIR%%/lua-api/_static/channel.png
+%%PORTDOCS%%%%DOCSDIR%%/lua-api/conf.py
+%%PORTDOCS%%%%DOCSDIR%%/lua-api/index.rst
+%%PORTDOCS%%%%DOCSDIR%%/lua.txt
+%%PORTDOCS%%%%DOCSDIR%%/management.txt
+%%PORTDOCS%%%%DOCSDIR%%/netscaler-client-ip-insertion-protocol.txt
+%%PORTDOCS%%%%DOCSDIR%%/network-namespaces.txt
+%%PORTDOCS%%%%DOCSDIR%%/peers.txt
+%%PORTDOCS%%%%DOCSDIR%%/peers-v2.0.txt
+%%PORTDOCS%%%%DOCSDIR%%/proxy-protocol.txt
+%%PORTDOCS%%%%DOCSDIR%%/queuing.fig
+%%PORTDOCS%%%%DOCSDIR%%/regression-testing.txt
+%%PORTDOCS%%%%DOCSDIR%%/seamless_reload.txt
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/acl-content-sw.cfg
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/content-sw-sample.cfg
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/400.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/403.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/408.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/500.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/502.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/503.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/504.http
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/errorfiles/README
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/haproxy.init
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/option-http_proxy.cfg
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/socks4.cfg
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/transparent_proxy.cfg
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/wurfl-example.cfg


More information about the dev-commits-ports-main mailing list